Skip to content

Create or Update a company

Request

You can create or update a company.

Companies will be only visible in Intercom when there is at least one associated user.

Companies are looked up via company_id in a POST request, if not found via company_id, the new company will be created, if found, that company will be updated.

Using `company_id`

You can set a unique company_id value when creating a company. However, it is not possible to update company_id. Be sure to set a unique value once upon creation of the company.

Security
bearerAuth
Headers
Intercom-Versionstring(intercom_version)

Intercom API version.
By default, it's equal to the version set in the app package.

Default:"2.9"
Enum:"1.0""1.1""1.2""1.3""1.4""2.0""2.1""2.2""2.3""2.4"
Example:2.9
Bodyapplication/json
namestring

The name of the Company

Example:"Intercom"
company_idstring

The company id you have defined for the company. Can't be updated

Example:"625e90fc55ab113b6d92175f"
planstring

The name of the plan you have associated with the company.

Example:"Enterprise"
sizeinteger

The number of employees in this company.

Example:"100"
websitestring

The URL for this company's website. Please note that the value specified here is not validated. Accepts any string.

Example:"https://www.example.com"
industrystring

The industry that this company operates in.

Example:"Technology"
custom_attributesobject

A hash of key/value pairs containing any other data about the company you want Intercom to store.

Example:
{ "paid_subscriber": true, "monthly_spend": 155.5, "team_mates": 9 }
remote_created_atinteger

The time the company was created by you.

Example:1394531169
monthly_spendinteger

How much revenue the company generates for your business. Note that this will truncate floats. i.e. it only allow for whole integers, 155.98 will be truncated to 155. Note that this has an upper limit of 2**31-1 or 2147483647..

Example:1000
curl -i -X POST \
  https://api.intercom.io/companies \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
  -H 'Content-Type: application/json' \
  -H 'Intercom-Version: 2.9' \
  -d '{
    "company_id": "company_remote_id",
    "name": "my company",
    "remote_created_at": 1374138000
  }'

Responses

Successful

Bodyapplication/json
typestring

Value is company

Value:"company"
Example:"company"
idstring

The Intercom defined id representing the company.

Example:"531ee472cce572a6ec000006"
namestring

The name of the company.

Example:"Example Company Inc."
app_idstring

The Intercom defined code of the workspace the company is associated to.

Example:"ecahpwf5"
planobject
company_idstring

The company id you have defined for the company.

Example:"6"
remote_created_atinteger

The time the company was created by you.

Example:1663597223
created_atinteger

The time the company was added in Intercom.

Example:1663597223
updated_atinteger

The last time the company was updated.

Example:1663597223
last_request_atinteger

The time the company last recorded making a request.

Example:1663597223
sizeinteger

The number of employees in the company.

Example:100
websitestring

The URL for the company website.

Example:"https://www.intercom.com"
industrystring

The industry that the company operates in.

Example:"Software"
monthly_spendinteger

How much revenue the company generates for your business.

Example:100
session_countinteger

How many sessions the company has recorded.

Example:100
user_countinteger

The number of users in the company.

Example:100
custom_attributesobject

The custom attributes you have set on the company.

Example:
{ "paid_subscriber": true, "monthly_spend": 155.5, "team_mates": 9 }
tagsobject

The list of tags associated with the company

segmentsobject

The list of segments associated with the company

Response
{ "type": "company", "company_id": "company_remote_id", "id": "6657aaba6abd0164c24b0c8e", "app_id": "this_is_an_id127_that_should_be_at_least_", "name": "my company", "remote_created_at": 1374138000, "created_at": 1717021370, "updated_at": 1717021370, "monthly_spend": 0, "session_count": 0, "user_count": 0, "tags": { "type": "tag.list", "tags": [] }, "segments": { "type": "segment.list", "segments": [] }, "plan": {}, "custom_attributes": { "industry": "manufacturing" } }